Bug 144054 - net/openbgpd: doesn't announce a host routes
Summary: net/openbgpd: doesn't announce a host routes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-18 06:30 UTC by Alexander Zagrebin
Modified: 2010-03-02 05:36 UTC (History)
0 users

See Also:


Attachments
file.diff (1.40 KB, patch)
2010-02-18 06:30 UTC, Alexander Zagrebin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Zagrebin 2010-02-18 06:30:01 UTC
I have noticed that openbgpd (including the latest openbgpd-4.6.20100215) doesn't announce a host routes.
The reason is in fact that openbgpd doesn't interpret a host routes as "connected".

Fix: The attached patch solves the problem.

Patch attached with submission follows:
How-To-Repeat: Create point-to-point link:
# ifconfig tun0 create inet 1.2.3.4 5.6.7.8
or add host route
# route add 6.7.8.9 some_gateway

# netstat -rn
Routing tables

Internet:
Destination        Gateway            Flags    Refs      Use  Netif Expire
..
5.6.7.8            1.2.3.4            UH          0        0   tun0
6.7.8.9            x.y.z.t            UGHS        0        0 vlan20
..

Now use `bgpctl show rib`, `bgpctl show ip bgp out nei gw` etc to see that openbgpd doesn't "see" and doesn't announce a host routes
Comment 1 Li-Wen Hsu freebsd_committer 2010-02-18 09:34:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Fix synopsis and over to maintainer
Comment 2 dfilter service freebsd_committer 2010-02-19 01:45:50 UTC
hrs         2010-02-19 01:45:41 UTC

  FreeBSD ports repository

  Modified files:
    net/openbgpd         Makefile 
    net/openbgpd/files   patch-bgpd_kroute.c 
  Log:
  Fix an issue that openbgpd does not recognize any connected routes.
  
  Spotted by:     Alexander Zagrebin
  PR:             ports/144054
  Feature safe:   yes
  
  Revision  Changes    Path
  1.27      +1 -0      ports/net/openbgpd/Makefile
  1.10      +75 -14    ports/net/openbgpd/files/patch-bgpd_kroute.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Hiroki Sato freebsd_committer 2010-03-02 05:36:18 UTC
State Changed
From-To: open->closed

A patch has been committed.  Thanks for the report!